Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2832713002: Move WebDataSourceImpl from web/ -> core/exported/. (Closed)

Created:
3 years, 3 months ago by slangley
Modified:
3 years, 3 months ago
Reviewers:
haraken, joelhockey
CC:
blink-reviews, chromium-reviews, kinuko+watch
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Move WebDataSourceImpl from web/ -> core/exported/. WebDataSourceImpl is the implementation of public/web/WebDataSource.h so we want to move this file to core/exported. Updated all of the references to the new location. BUG=708879 Review-Url: https://codereview.chromium.org/2832713002 Cr-Commit-Position: refs/heads/master@{#467232} Committed: https://chromium.googlesource.com/chromium/src/+/a6167501ebd01a4850b5c626ccf0996e0c408723

Patch Set 1 #

Total comments: 1

Patch Set 2 : Rebase #

Patch Set 3 : Need to add BLINK_EXPORT to WebDataSource for windows to compile. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -309 lines) Patch
M third_party/WebKit/Source/core/exported/BUILD.gn View 1 chunk +2 lines, -0 lines 0 comments Download
A + third_party/WebKit/Source/core/exported/WebDataSourceImpl.h View 2 chunks +3 lines, -1 line 0 comments Download
A + third_party/WebKit/Source/core/exported/WebDataSourceImpl.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/web/BUILD.gn View 1 2 1 chunk +0 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/web/ContextMenuClientImpl.cpp View 2 chunks +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/web/LocalFrameClientImpl.cpp View 1 2 2 chunks +1 line, -1 line 0 comments Download
D third_party/WebKit/Source/web/WebDataSourceImpl.h View 1 chunk +0 lines, -106 lines 0 comments Download
D third_party/WebKit/Source/web/WebDataSourceImpl.cpp View 1 chunk +0 lines, -192 lines 0 comments Download
M third_party/WebKit/Source/web/WebEmbeddedWorkerImpl.cpp View 1 2 chunks +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/web/WebLocalFrameImpl.cpp View 1 2 2 chunks +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/web/WebPluginContainerImpl.cpp View 1 2 2 chunks +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/web/WebSharedWorkerImpl.cpp View 1 2 chunks +1 line, -1 line 0 comments Download
M third_party/WebKit/public/web/WebDataSource.h View 1 2 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 22 (12 generated)
slangley
3 years, 3 months ago (2017-04-20 01:42:23 UTC) #3
joelhockey
lgtm
3 years, 3 months ago (2017-04-20 02:30:40 UTC) #4
slangley
haraken@ - ptal
3 years, 3 months ago (2017-04-20 02:35:30 UTC) #6
haraken
LGTM https://codereview.chromium.org/2832713002/diff/1/third_party/WebKit/Source/core/exported/BUILD.gn File third_party/WebKit/Source/core/exported/BUILD.gn (right): https://codereview.chromium.org/2832713002/diff/1/third_party/WebKit/Source/core/exported/BUILD.gn#newcode12 third_party/WebKit/Source/core/exported/BUILD.gn:12: "WebDataSourceImpl.h", I'd prefer putting only .cpp implementation files ...
3 years, 3 months ago (2017-04-20 07:37:01 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2832713002/1
3 years, 3 months ago (2017-04-24 09:21:30 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/418425) mac_chromium_compile_dbg_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
3 years, 3 months ago (2017-04-24 09:24:30 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2832713002/20001
3 years, 3 months ago (2017-04-24 09:37:17 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_compile_dbg_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_compile_dbg_ng/builds/395676)
3 years, 3 months ago (2017-04-24 10:47:37 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2832713002/40001
3 years, 3 months ago (2017-04-26 02:17:12 UTC) #19
commit-bot: I haz the power
3 years, 3 months ago (2017-04-26 04:13:09 UTC) #22
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/a6167501ebd01a4850b5c626ccf0...

Powered by Google App Engine
This is Rietveld 408576698